.header{
  display : flex;
  align-items : center;
  height : 80px;
}

.whole-div{
  display:flex;
  flex-direction: column;
}

.menu-bar{
  display : flex;
  margin-bottom : 5px;
}

.code-area{
  background-color: rgb(236, 236, 236);
  flex:1;
  height: auto;
}

.buttons{
  display: flex;
  width: 100px;
  height: 50px;
  font-family: Roboto, Arial;
  font-size: 16 px;
  font-weight: bold;
  background-color: lightgray;
  align-items: center;
  justify-content: center;
  margin-right : 2px;
  cursor : pointer;
}

.buttons:hover{
  opacity: 0.8;
}

.block-display-div{
  display:flex;
  height: 700px;
}

.hardware-block-container{
  display:flex;
  flex:1;
  background-color: lightskyblue;
  flex-direction: column;
}

#svg-div{
  width: 100%;
  height: 100%;
  flex:1;
  /*cursor: grab;*/
  z-index: 2;
}

/*
#svg-div:active{
  cursor: grabbing;
}*/

.draggable{
  cursor: grab;
}

.draggable:active{
  cursor: grabbing;
}

.hardware-svg{
  width: 100%;
  height: 100%;
}

.zooming{
  background-color: lightskyblue;
  width: 70px;
  height: 660px;
  position: absolute;
  margin-top: 40px;
}

.firmware-container{
  flex:1;
  background-color:lightblue;
  
}

.hardware-menu-div{
  height: 40px;
  background-color: lightskyblue;
}

.hardware-menu{
  margin:0;
  padding: 0;
  display: inline-flex;
  text-align: center;
}

.hardware-menu li{
  display: block;

  width: 200px;
  line-height: 40px;

  font-family: Roboto, Arial;
  font-size: 16px;
  font-weight: bold;
  margin-left: 2px;
  margin-right: 2px;

  background-color: rgb(241, 241, 241);
  list-style: none;
  cursor:pointer;

  position: relative;
}

.hardware-menu li:hover{
  background-color: rgb(231, 231, 231);
}

.hardware-menu li:hover .sub-menu{
  display: block;
}

.sub-menu{
  margin-left: -42px;
  display: none;
  position: absolute;
  z-index: 20;
}

.sub-menu li{
  line-height: 40px;
}

.sub-menu li:hover{
  background-color: lightgray;
}

.zoom{
  position: absolute;
  width: 50px;
  height: 50px;
  background-color: white;
  opacity: 0.5;

  z-index: 100;
  cursor: pointer;
  
  display: flex;
  justify-content:center;
  align-items: center;

  font-size: 30px;
  color: grey;

  border-radius: 5px;
  
}

#zoom-in{
  right: 10px;
  bottom: 130px;
}

#zoom-out{
  right: 10px;
  bottom: 70px;
}

#zoom-fit{
  right: 10px;
  bottom: 10px;
}
